View Issue Details

IDProjectCategoryView StatusLast Update
12897Bug reports[All Projects] Survey designpublic2018-01-15 10:39
ReporterorvilAssigned Tomarkusfluer 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.0.0-rc.x 
Summary12897: No more "Save & close" button for saving a question
Description

In former LS versions there were two buttons:
1) "Save" to save what has been edited without closing the edit page
2) "Save & close" to do as stated.

In LS 3.0.0-rc2 there is only a save button to save and close. Not that useful than the former solution

Additional Information

Two buttons appear to be more convenient especially when editing takes some time.
And btw. a "Close" only button would have some advantages to. See scribble below

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.0.0-RC.2+171102
I will donate to the project if issue is resolvedNo
Browserirrelevant
Database & DB-Versionirrelevant
Operating System (Server)irrelevant
Webserver software & versionirrelevant
PHP Versionirrelevant

Relationships

has duplicate 12938 closedmarkusfluer Development  No "Close" or "Save and close" buttons when editing 

Activities

orvil

orvil

2017-11-11 19:56

reporter  

Clipboard04.jpg (68,647 bytes)
Clipboard04.jpg (68,647 bytes)
markusfluer

markusfluer

2017-11-13 14:03

manager   ~45052

We will add the save and close button again, but the save and discard is not necessary and will possibly just confuse users.

markusfluer

markusfluer

2017-12-07 09:13

manager   ~45252

Fixed with commit 3d70c4e7e3144c95e0721fa0c1b19fd21534bb7a
http://bugs.limesurvey.org/plugin.php?page=Source/view&id=25376

c_schmitz

c_schmitz

2018-01-15 10:39

administrator   ~45704

Version 3.0.3 released.

Issue History

Date Modified Username Field Change
2017-11-11 19:56 orvil New Issue
2017-11-11 19:56 orvil File Added: Clipboard04.jpg
2017-11-13 12:05 LouisGac Assigned To => markusfluer
2017-11-13 12:05 LouisGac Status new => assigned
2017-11-13 14:03 markusfluer Note Added: 45052
2017-12-07 09:08 markusfluer Relationship added related to 12938
2017-12-07 09:08 markusfluer Relationship deleted related to 12938
2017-12-07 09:08 markusfluer Relationship added has duplicate 12938
2017-12-07 09:13 markusfluer Status assigned => resolved
2017-12-07 09:13 markusfluer Resolution open => fixed
2017-12-07 09:13 markusfluer Fixed in Version => 3.0.0-rc.x
2017-12-07 09:13 markusfluer Note Added: 45252
2018-01-15 10:39 c_schmitz Note Added: 45704
2018-01-15 10:39 c_schmitz Status resolved => closed